net.tls.allowInvalidCertificates: true doesn't work, installation down

The latest upgrade broke my MongoDB 6.0.14 installation.

Per https://jira.mongodb.org/browse/SERVER-72839

If client connections start failing after setting the tlsUseSystemCA parameter - users may want to:

  1. Restart the server with the net.tls.allowInvalidCertificates option in the server configuration file to allow client connections with invalid certificates.

This does not work on my installation. I can no longer connect. How can I get my installation back, please?

It’s possible the team might have thought twice about springing a breaking change on the user base without warning.